(function (AvayaClientServices) {

    function BaseView () {
        this.errorLog = $('#errorLog')
    }

    /**
     * @param {string} message
     */
    BaseView.prototype.printError = function (message) {
        this.errorLog.append('<div>' + message + '</div>');
    };

    BaseView.prototype.clearErrors = function () {
        this.errorLog.empty();
    };

    window.BaseView = BaseView;

})(AvayaClientServices, jQuery);